#==============================================================================
# Main Wcb package module.
#
# Copyright (c) 1999-2004  Csaba Nemethi (E-mail: csaba.nemethi@t-online.de)
#==============================================================================

package require Tcl 8
package require Tk  8

namespace eval wcb {
    #
    # Public variables:
    #
    variable version	2.9
    if {[string compare $::tcl_platform(platform) macintosh] != 0} {
	#
	# On the Macintosh, the wcb::library variable is
	# set in the file pkgIndex.tcl, because of a bug in
	# [info script] in some Tcl releases for that platform.
	#
	variable library	[file dirname [info script]]
    }

    #
    # Basic procedures:
    #
    namespace export	callback cbappend cbprepend cancel canceled \
			extend replace pathname

    #
    # Utility procedures for entry, BWidget Entry, and spinbox widgets:
    #
    namespace export	changeEntryText postInsertEntryLen postInsertEntryText

    #
    # Simple before-insert callback routines for entry, BWidget Entry, and
    # spinbox widgets:
    #
    namespace export	checkStrForRegExp checkStrForAlpha checkStrForNum \
			checkStrForAlnum convStrToUpper convStrToLower

    #
    # Further before-insert callback routines for entry, BWidget Entry, and
    # spinbox widgets:
    #
    namespace export	checkEntryForInt  checkEntryForUInt \
			checkEntryForReal checkEntryForFixed \
			checkEntryLen

    #
    # Simple before-insert callback routines for text widgets:
    #
    namespace export	checkStrsForRegExp checkStrsForAlpha checkStrsForNum \
			checkStrsForAlnum convStrsToUpper convStrsToLower
}

package provide Wcb $wcb::version
package provide wcb $wcb::version

lappend auto_path [file join $wcb::library scripts]
